@ECHO OFF
SETLOCAL EnableExtensions
SETLOCAL EnableDelayedExpansion

REM If not set to PASSIVE, OpenMP (Eigen) boxes may load the cores fully even if there's little to do.
SET "OMP_WAIT_POLICY=PASSIVE"

REM Get the directory location of this script, assume it contains the OpenViBE dist tree. These variables will be used by OpenViBE executables.
SET "OV_PATH_ROOT=%~dp0"

REM Default behavior
SET OV_PAUSE=PAUSE
SET OV_RUN_IN_BG=

REM Parse out Windows specific args ...
SET "ARGS="
SET EMPTY=
:loop
SET "STRIPPEDARG=%~1"
if NOT !STRIPPEDARG! == !EMPTY! (
	IF /i "!STRIPPEDARG!" == "--no-pause" (
		SET OV_PAUSE=
		goto found:
	)
	IF /i "!STRIPPEDARG!" == "--run-bg" (
		REM Run in background, disable pause. The second parameter below is because CMD requires a 'title'
		SET OV_RUN_IN_BG=START "openvibe-acquisition-server.exe"
		SET OV_PAUSE=
		goto found:
	)
	
	REM Pass the non-stripped arg to the launched application...
	SET ARGS=%ARGS% %1
	
:found	
	SHIFT
	goto loop:
)


REM cmake variable OV_CMD_ARGS below may specify additional arguments outside this script

type NUL > %Temp%\designer_error.txt
%OV_RUN_IN_BG% "%OV_PATH_ROOT%\bin\openvibe-acquisition-server.exe"  %ARGS% 2>%Temp%\designer_error.txt
if %errorlevel% == 1 (
	type %Temp%\designer_error.txt
	for /f "tokens=*" %%c in (%Temp%\designer_error.txt) do ( set errors=%%c )
	if "!errors!" == "SyntaxError: invalid syntax " (
		echo This is a python compatibility error. To solve this, please correct your PYTHONHOME/PYTHONPATH. Current values :
		echo PYTHONHOME = %PYTHONHOME%
		echo PYTHONPATH = %PYTHONPATH%
		echo Now trying to launch Designer without PYTHONHOME/PYTHONPATH :
		set PYTHONHOME=
		set PYTHONPATH=
		%OV_RUN_IN_BG% "%OV_PATH_ROOT%\bin\openvibe-designer.exe"  %ARGS%
	)
)
DEL /Q %Temp%\designer_error.txt
	
:EndOfScript

%OV_PAUSE%

